stargazer(1)

# NAME

stargazer - a gemini server

# SYNOPSIS

*stargazer* [-d] [-D] _path_

# ARGS

_path_
	Specifies an alternate path to read the config file from.

# OPTIONS

*-D* *--debug*
	Turn on debug logging. This logs a lot more information about the
	servers operation which is useful for debugging problems. This is
	more verbose then is likely desired for normal operation.
*-d* *--dev*
	Start the server in **dev mode**. Server will server files from the
	current directory over `localhost:1965`. This overrides the config
	file and the *-C* option.
*--check-config*
	Check for config errors and exit.
*-V* *--version*
	Print program version and exit.
*-h* *--help*
	Print command line argument help.

# LOGGING

Server errors and other debugging info is printed to *stderr* in an unspecified
format. Client request logging is printed to *stdout*, with each of the
following fields in order, separated by a tab character:

- Service time in RFC 3339 format
- Client IP
- Request hostname
- Request path
- Response body size in bytes
- Response status
- Response meta

# SEE ALSO

*stargazer.ini*(5) for configuration instructions.

# AUTHORS

Maintained by Sashanoraa <sasha@noraa.gay>. Up-to-date sources can be
found at https://sr.ht/~zethra/stargazer/ and bugs/patches can be submitted by
email to ~zethra/stargazer@lists.sr.ht.
